repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: end-of-file-fixer
      - id: file-contents-sorter
        files: .*mapping.yml
        args:
          - --unique
      - id: no-commit-to-branch
        name: no-commit-to-branch (main, master, dev_*)
        args:
          - --pattern
          - dev_.*
  - repo: https://github.com/pycqa/flake8
    rev: 7.1.2
    hooks:
      - id: flake8
        name: flake8 (1/2)
        files: src/dynamix_sdk/types\.py|.*__init__\.py|.*_api\.py
        args:
          - --extend-ignore=F401,F403,F405
      - id: flake8
        name: flake8 (2/2)
        exclude: src/dynamix_sdk/types\.py|.*__init__\.py|.*_api\.py
  - repo: local
    hooks:
      - id: pytest-local-tests
        name: pytest local tests
        entry: pytest tests/local
        language: system
        pass_filenames: false
